<?php


function Ext_EChopCheck( $id, $options,  $dataIn, $colInfo )
{
	$ch = curl_init();
	$timeout = 10;

	curl_setopt($ch, CURLOPT_URL, "https://shop.mydbr.com");
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);

	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

	$data = curl_exec($ch);
	curl_close($ch);

	preg_match('/Products - myDBR Shop/m', $data, $matches);

	$fOK = sizeof($matches)>0;

	if (!$fOK) {
		echo IE_Box('<div class="error" style="display:block;text-align:center;font-size:1.2em">'.pl($dataIn[0][0]).'</div>', 'error');
	}
	
}